<html>

<head>
    <meta charset="UTF-8">
    <title>Salaxy plain jQuery samples</title>
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,400italic" rel="stylesheet" type="text/css" />
    <link href="http://developers.salaxy.com/css/salaxy-lib-ng1/bootstrap.css" rel="stylesheet" type="text/css" />
    <link href="http://developers.salaxy.com/css/salaxy-lib-ng1/salaxy-component-bootstrap.css" rel="stylesheet" type="text/css">
    <style type="text/css">
        iframe {
            width: 100%;
            height: 450px;
        }
    </style>
</head>

<body>
    <div class="container salaxy-component">
        <h1 class="page-header">Salaxy jQuery samples</h1>
        <p class="lead">
            Note: before starting, see our <a href="https://developers.salaxy.com#/js/index" target="_blank">getting started section here</a>.
        </p>
        <p class="lead">
            A simple salary calculation can be done by setting the properties of the <strong>Salary</strong>-object:
        </p>
        <ul>
            <li>
                <strong>kind:</strong> Type of the salary being calculated. This can be of following values:
                <ul>
                    <li><strong>undefined:</strong> The type of the salary is not defined. Typically this will behave the same way as Fixed salary.</li>
                    <li><strong>fixedSalary:</strong> A fixed salary for an agreed job</li>
                    <li><strong>hourlySalary:</strong> Hourly salary</li>
                    <li><strong>monthlySalary:</strong> Monthly salary</li>
                    <li>
                        <strong>totalWorkerPayment:</strong> Total payment from the worker point-of-view. The gross salary is changed so that the end net payment to the worker is as close as possible to the given sum. Note that the salary will then be
                        fixedSalary - the total payment is not recalculated as other parameters change.
                    </li>
                    <li>
                        <strong>totalEmployerPayment:</strong> Total expense to the employer. The gross salary is changed so that the total payment to the employer is as close as possible to the given sum. Note that the salary will then be FixedSalary
                        - the total payment is not recalculated as other parameters change.
                    </li>
                    <li>This enumeration will grow in the future.</li>
                </ul>
            </li>
            <li><strong>amount:</strong> Amount of e.g. hours, months for the salary. Default is 1.</li>
            <li><strong>price:</strong> Price of one unit - e.g. hour, month.</li>
            <li><strong>unit:</strong> E.g. hour, month. Typically this parameter can be left empty/null and the unit is set according to type.</li>
            <li><strong>message:</strong> Optional message for the salary row that is shown in reports. If null, will be set according to type.</li>
            <li><strong>isHouseholdDeductible:</strong> If set to true, will calculate the household deduction. Apllies only to natural persons - as oppsed to companies.</li>
        </ul>
        <p>The calculation can be executed in a couple of ways...</p>
        <iframe src="simple/index.html"></iframe>
        <p>...or alternatively...</p>
        <iframe src="calc-obj/index.html"></iframe>
        <h1>Calculation CRUD operations</h1>
        <p class="lead">
            Simple examples of how to call Calculations CRUD operations. All of these methods require an authenticated user.
        </p>
        <p>
            Methods are documented in
            <a href="https://developers.salaxy.com/#/api/swagger" target="_blank">Calculations</a> section.
        </p>

        <ul>
            <li>
                <strong>Create:</strong> Create a new Calculation. Sample 2 above shows how to use this method.
                <ul>
                    <li>This method does not require authentication, </li>
                    <li>...but authentication affects the method in some default values.</li>
                </ul>
            </li>
            <li><strong>Get:</strong> Get all Calculations that the current user can access</li>
            <li><strong>Delete:</strong> Delete an existing Calculation</li>
            <li><strong>Reports:</strong> Reports of an existing Calculation</li>
            <li><strong>Get and update:</strong> Gets an existing Calculation and updates it</li>
        </ul>

        <iframe src="get-all-calcs/index.html"></iframe>

        <p>&nbsp;</p>
    </div>
</body>

</html>